package domain

type Headers []Header

func (h Headers) Match(p string) []Header {
	result := make(Headers, 0, len(h))

	for i := range h {
		if !h[i].IsMatched(p) {
			continue
		}

		result = append(result, h[i])
	}

	return result
}
